=== debian/changelog ===
dpf-plugins (1.3-0ubuntu3) focal; urgency=medium

  * Fix for error in debian/copyright, no changes

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 23 Mar 2020 19:09:32 -0700

dpf-plugins (1.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:31 +0100

dpf-plugins (1.3-0ubuntu1) eoan; urgency=medium

  * New upstream version 1.3

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 20 Jul 2019 13:03:56 -0700

dpf-plugins (1.2-0ubuntu1) eoan; urgency=medium

  * Initial release for Ubuntu

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 14 May 2019 10:28:52 -0700
