=== debian/control ===
Source: dpf-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
Build-Depends:
 pkg-config,
 debhelper (>= 11),
 libjack-jackd2-dev,
 libx11-dev,
 libxext-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libprojectm-dev,
 liblo-dev
Homepage: https://github.com/falkTX/DPF-Plugins
Standards-Version: 4.3.0

Package: dpf-plugins
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, dpf-plugins-common,
 dpf-plugins-ladspa, dpf-plugins-dssi, dpf-plugins-lv2,
 dpf-plugins-vst
Description: Audio plugin collection from DISTRHO (metapackage)
 Metapackage pulling-in collection of DPF-based plugins in
 LADSPA, DSSI, LV2 and VST2 formats.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-common
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, projectm-data
Description: Audio plugin collection from DISTRHO (common files)
 Common files for collection of DPF-based plugins in
 LADSPA, DSSI, LV2 and VST2 formats.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-ladspa
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: ladspa-plugin
Description: Audio plugin collection from DISTRHO (LADSPA plugins)
 Collection of DPF-based plugins in LADSPA format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-lv2
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: lv2-plugin
Description: Audio plugin collection from DISTRHO (LV2 plugins)
 Collection of DPF-based plugins in LV2 format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-vst
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: vst-plugin
Description: Audio plugin collection from DISTRHO (VST2 plugins)
 Collection of DPF-based plugins in LV2 format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-dssi
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
Provides: dssi-plugin
Description: Audio plugin collection from DISTRHO (DSSI plugins)
 Collection of DPF-based plugins in DSSI format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM
