=== debian/changelog ===
dpf-plugins (1.3+git8ae021b-0ubuntu1) groovy; urgency=medium

  * Add upstream DPF fixes

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 28 May 2020 20:35:29 -0700
