## dpf-plugins 1.4

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,12 @@
 HAVE_PROJM = $(shell pkg-config --exists libprojectM && echo true)
 
 # --------------------------------------------------------------
+
+ifneq ($(CROSS_COMPILING),true)
+CAN_GENERATE_TTL = true
+else ifneq ($(EXE_WRAPPER),)
+CAN_GENERATE_TTL = true
+endif
 
 dgl:
 ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
@@ -61,7 +67,7 @@
 endif # HAVE_CAIRO_OR_OPENGL
 
 gen: plugins dpf/utils/lv2_ttl_generator
-ifneq ($(CROSS_COMPILING),true)
+ifeq ($(CAN_GENERATE_TTL),true)
 	@$(CURDIR)/dpf/utils/generate-ttl.sh
 endif
 ifeq ($(MACOS),true)
@@ -133,23 +139,23 @@
 	cp -r bin/*.lv2   $(DESTDIR)$(PREFIX)/lib/lv2/
 
 ifeq ($(HAVE_JACK),true)
-	install -m 755 bin/Kars             $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/3BandEQ          $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/3BandSplitter    $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/PingPongPan      $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/AmplitudeImposer $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/CycleShifter     $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/SoulForce        $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MVerb            $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/Nekobi           $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaBitcrush       $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaFreeverb       $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaGigaverb       $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 bin/MaPitchshift     $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/Kars$(APP_EXT)             $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/3BandEQ$(APP_EXT)          $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/3BandSplitter$(APP_EXT)    $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/PingPongPan$(APP_EXT)      $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/AmplitudeImposer$(APP_EXT) $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/CycleShifter$(APP_EXT)     $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/SoulForce$(APP_EXT)        $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MVerb$(APP_EXT)            $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/Nekobi$(APP_EXT)           $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaBitcrush$(APP_EXT)       $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaFreeverb$(APP_EXT)       $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaGigaverb$(APP_EXT)       $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/MaPitchshift$(APP_EXT)     $(DESTDIR)$(PREFIX)/bin/
 ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
-	install -m 755 bin/glBars           $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/glBars$(APP_EXT)           $(DESTDIR)$(PREFIX)/bin/
 ifeq ($(HAVE_PROJM),true)
-	install -m 755 bin/ProM             $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 bin/ProM$(APP_EXT)             $(DESTDIR)$(PREFIX)/bin/
 endif # HAVE_PROJM
 endif # HAVE_CAIRO_OR_OPENGL
 endif # HAVE_JACK
