=== debian/changelog ===
dpf-plugins (1.4-1) unstable; urgency=medium

  * Initial debian release (Closes: #953129)

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 05 Feb 2021 17:11:49 +0100
