=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: dpf-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- pkg-config,
- debhelper (>= 11),
+ debhelper-compat (= 13),
+ libgl1-mesa-dev,
+ libglu1-mesa-dev,
  libjack-jackd2-dev,
+ liblo-dev,
+ libprojectm-dev,
  libx11-dev,
  libxext-dev,
- libgl1-mesa-dev,
- libglu1-mesa-dev,
- libprojectm-dev,
- liblo-dev
+ pkg-config
 Homepage: https://github.com/falkTX/DPF-Plugins
-Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/dpf-plugins.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/dpf-plugins
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: dpf-plugins
-Architecture: amd64 i386
-Depends: ${shlibs:Depends}, ${misc:Depends}, dpf-plugins-common,
+Architecture: any
+Depends: ${misc:Depends}, dpf-plugins-common,
  dpf-plugins-ladspa, dpf-plugins-dssi, dpf-plugins-lv2,
  dpf-plugins-vst
 Description: Audio plugin collection from DISTRHO (metapackage)
@@ -35,7 +38,7 @@
   - ProM
 
 Package: dpf-plugins-common
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, projectm-data
 Description: Audio plugin collection from DISTRHO (common files)
  Common files for collection of DPF-based plugins in
@@ -51,7 +54,7 @@
   - ProM
 
 Package: dpf-plugins-ladspa
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: ladspa-plugin
 Description: Audio plugin collection from DISTRHO (LADSPA plugins)
@@ -67,7 +70,7 @@
   - ProM
 
 Package: dpf-plugins-lv2
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: lv2-plugin
 Description: Audio plugin collection from DISTRHO (LV2 plugins)
@@ -83,11 +86,11 @@
   - ProM
 
 Package: dpf-plugins-vst
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: vst-plugin
 Description: Audio plugin collection from DISTRHO (VST2 plugins)
- Collection of DPF-based plugins in LV2 format.
+ Collection of DPF-based plugins in VST2 format.
  .
  The list of plugins/packs are:
   - glBars
@@ -99,7 +102,7 @@
   - ProM
 
 Package: dpf-plugins-dssi
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpf-plugins-common
 Provides: dssi-plugin
 Description: Audio plugin collection from DISTRHO (DSSI plugins)
